UI::Util::StdFreeConversion Class Reference

Conversion w/ std::free call on the supplied C-String. More...

`#include <Recoder.hpp>`

Inheritance diagram for UI::Util::StdFreeConversion:
Collaboration diagram for UI::Util::StdFreeConversion:

## Public Member Functions

| StdFreeConversion (char *cStr, size_t const cSize)
| Constructor. cStr will be std::free'd.
Public Member Functions inherited from UI::Util::Conversion
| Conversion (char const *const cStr, size_t const cSize)
| Constructor.
char const * | get () const
| Get conversion data.
size_t | getSize () const
| Get size (in bytes) of conversion data.
std::string | getString () const
| Get std::string copy of conversion data.

## Detailed Description

Conversion w/ std::free call on the supplied C-String.

The documentation for this class was generated from the following files:

- Recoder.hpp
- Recoder.cpp